import fetch from './fetch';

// login
export const sendMsg = entity =>
  fetch({
    url: '/login/sendMsg',
    params: entity,
  });
// base
export const fetchRepairArea = () =>
  fetch({
    url: '/baseData/getBaseData',
    params: { type: 1 },
  });
export const fetchRepairTerm = () =>
  fetch({
    url: '/baseData/getBaseData',
    params: { type: 2 },
  });
// publicCar
export const fetchPublicCarList = entity =>
  fetch({
    url: '/publicCar/app/pageList4PublicCar',
    params: entity,
  });

export const applyPublicCar = entity =>
  fetch({
    url: '/publicCar/app/addPublicCar',
    params: entity,
  });

export const fetchApplyPublicCarList = entity =>
  fetch({
    url: '/publicCar/app/pageListAdmin4PublicCar',
    params: entity,
  });

export const dealPublicCar = entity =>
  fetch({
    url: '/publicCar/app/deal4PublicCar',
    params: entity,
  });

// repair
export const fetchRepairList = entity =>
  fetch({
    url: '/repair/app/pageList4Repair',
    params: entity,
  });

export const reportRepair = entity =>
  fetch({
    url: '/repair/app/addRepair',
    params: entity,
  });
export const fetchReportRepairList = entity =>
  fetch({
    url: '/repair/app/pageListAdmin4Repair',
    params: entity,
  });
export const dealRepair = entity =>
  fetch({
    url: '/repair/app/deal4Repair',
    params: entity,
  });
