import React, { Component } from 'react';
import ReactDom from 'react-dom';
import styles from './style.css';
import arrIcon from './images/select_icon@2x.png';
import { PickerView } from 'antd-mobile';
class Select extends Component {
  showPickerView = () => {
    console.log('showPickerView');
    let box = document.getElementById('ks-picker-box');
    if (box) {
      ReactDom.render(<PickerView />, box);
    } else {
      let box = document.createElement('div');
      document.body.appendChild(box);
      ReactDom.render(<PickerView />, box);
    }
  };
  render() {
    const { placeholder } = this.props;
    return (
      <div className={styles.selectWrap} onClick={this.showPickerView}>
        {placeholder ? placeholder : ''}
        <span className={styles.arrow}>
          <img src={arrIcon} alt="" />
        </span>
      </div>
    );
  }
}

export default Select;
